import request from 'mn-template/plugins/http';

export const getServiceType = async() => {
    return request({
        url: '/diagnose/doctorService/serviceType',
        method: 'get',
    });
};

export const getDoctorInfoByNameLike = async(data) => {
    return request({
        url: '/diagnose/commission/downDoctor/doctorInfoByNameLike',
        params: data,
        method: 'get',
    });
};

export const getDownDoctor = async(data) => {
    return request({
        url: '/diagnose/commission/downDoctor/pageSearch',
        data: data,
        method: 'post',
    });
};

export const saveDownDoctor = async(data) => {
    return request({
        url: '/diagnose/commission/downDoctor/save',
        data: data,
        method: 'post',
    });
};

export const getRuleInfo = async(data) => {
    return request({
        url: '/diagnose/commission/rule/info',
        data: data,
        method: 'post',
    });
};

export const getProfit = async(data) => {
    return request({
        url: '/diagnose/doctorService/profit',
        data: data,
        method: 'post',
    });
};